class Goal implements IGoal {
  private importance: 'H' | 'M' | 'L' // 强弱支持
  private target: string // 目标
  private indicator: string // 指标点
  private weight: GoalWeight[] // 比重

  public constructor(importance, target, indicator, weight) {
    this.importance = importance
    this.target = target
    this.indicator = indicator
    this.weight = weight
  }
}

class Student implements IStudent {
  private serialNumber: string // 学号
  private name: string // 姓名
  private className: string // 班级
  private major: string // 专业
  private resitTag: boolean // 重修标记

  public constructor(name, sn, cn, mj) {
    this.name = name
    this.serialNumber = sn
    this.className = cn
    this.major = mj
    this.resitTag = false
  }
}